{
    template: '${tmpl}',
        data: function () {
            return {
                tms: [],
                companyresult: null,
                contractForm: {
                    id: 0,
                    contractNo: "",
                    remarkName: "",                    
                    names: [

                    ],
                }
            }
        },
    mounted: function () {
        var contrId = this.$router.currentRoute.query.contrId;
        this.initData(contrId);
    },
    created: function () {

    },
    methods: {
        initData(contrId){
            var self = this;
            this.$root.postReq("/web/ecompanycontractCtl/compInfo", {
                id: contrId
            }).then(function (d) {
                console.info(d,"*******************************");
                if (d.code == 1) {
                    self.contractForm.contractNo = d.contract['contractNo'];
                    self.contractForm.remarkName = d.contract['remarkName'];
                    self.contractForm.epartnerName = d.epartner.nickName;
                    /**合同关联的公司 */
                    if(d.ecompany != null){
                        for (i = 0, len = d.ecompany.length; i < len; i++) {
                            var subname = d.ecompany[i]['name'];
                            self.contractForm.names.push({
                                subname: subname
                            });
                        }
                    }
                } else {
                    
                }
                self.isloadparse = false;

            });
        },        
        tableRowStyle({ row, rowIndex }) {
            return 'background-color: pink';
        }
    },
    vname: "gsb-ecompanycontract"
}